Subject: Re: [PATCH] pkt_sched: sch_api: Remove qdisc_list_lock

From: Patrick McHardy <[email-masked]>
Date: Tue, 25 Nov 2008 12:44:21 +0100

Jarek Poplawski wrote:
> After implementing qdisc->ops->peek() there is no more calling
> qdisc_tree_decrease_qlen() without rtnl_lock(), so qdisc_list_lock
> added by commit: f6e0b239a2657ea8cb67f0d83d0bfdbfd19a481b "pkt_sched:
> Fix qdisc list locking" can be removed.

I might be misunderstanding something, but qdisc_tree_decrease_qlen()
doesn't need rtnl_lock() but the sch_tree_lock() since it changes
q.qlen.